{%- from "runtest/map.jinja" import tempest with context %}

{%- set img_dir = tempest.get('scenario', {}).get('img_dir', '/tmp') %}
{%- set img_file = tempest.get('scenario', {}).get('img_file', 'cirros.img') %}

test_image_dir_present:
  file.directory:
    - name: {{ img_dir }}

test_image_file:
  cmd.run:
    - name: wget --tries=5 -O {{ img_dir }}/{{ img_file }} {{ tempest.local_image_url }} -q
    - unless: test -f {{ img_dir }}/{{ img_file }}
    - require:
      - file: {{ img_dir }}
